path: /build/build/nvidia-560-kernel-open-modules-kernel-5.10-560.35.03.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - anise repo disable mottainai-stable && anise i mottainai-dev
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise upgrade -y && anise i -y x11-drivers-560/nvidia-drivers
    && anise cleanup && USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-560.35.03
    -pv -t
  - |
    USE="open-kernel" emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-560.35.03
  - |
    eval 'rm -rf /nvidia-560-kernel-open-modules || true' && mkdir /nvidia-560-kernel-open-modules && \
    luet-portage --dir /nvidia-560-kernel-open-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-560-kernel-open-modules/lib/modules/nvidia-open/560.35.03/5.10.223-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1b8592c0d43083af69dd32bc638efce6f9f3eacafdf5efc82add843a55418043
  package:
    name: nvidia-560-kernel-open-modules
    version: 560.35.03
    category: kernel-5.10
    use_flags:
    - open-kernel
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-30 21:32:36.735499761 +0000 UTC m=+734.138709111
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.223
      original.package.slot: "560"
      original.package.version: 560.35.03
    treedir: /build/packages
  package_dir: /nvidia-560-kernel-open-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1e587a835cff386ca0a763a863ac80360893a679897e2e7025a0a80897d77215
compressiontype: zstd
files:
- lib/modules/nvidia-open/560.35.03/5.10.223-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia-open/560.35.03/5.10.223-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia-open/560.35.03/5.10.223-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia-open/560.35.03/5.10.223-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-560-kernel-open-modules
  version: 560.35.03
  category: kernel-5.10
  use_flags:
  - open-kernel
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.223
    original.package.slot: "560"
    original.package.version: 560.35.03
